> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# RedPacket - GetClaimsByAddress

> Check the record of redpacket collection by the claimer address



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/redpacket/wallet/{address}/claims
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/redpacket/wallet/{address}/claims:
    get:
      tags:
        - RedPacket
      summary: RedPacket - GetClaimsByAddress
      description: Check the record of redpacket collection by the claimer address
      operationId: get.claims.by.address
      parameters:
        - name: address
          in: path
          description: An address of a wallet
          required: true
          schema:
            type: string
          example: 3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w
        - name: cursor
          in: query
          description: Pagination cursor
          required: false
          schema:
            type: string
          example: cursor_abc
        - name: limit
          in: query
          description: Number of results per page
          required: false
          schema:
            type: integer
            format: int64
          example: 20
        - name: direction
          in: query
          description: Pagination direction
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/PageDirection'
            default: next
          example: next
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedPacketClaimsPage'
components:
  schemas:
    PageDirection:
      type: string
      description: Pagination direction
      enum:
        - next
        - prev
    RedPacketClaimsPage:
      type: object
      description: Paginated red packet claims response
      required:
        - total
        - hasNextPage
        - records
      properties:
        endCursor:
          type:
            - string
            - 'null'
          description: Cursor for the end of current page
        hasNextPage:
          type: boolean
          description: Whether there is a next page
        records:
          type: array
          items:
            $ref: '#/components/schemas/RedPacketClaim'
          description: List of red packet claims
        startCursor:
          type:
            - string
            - 'null'
          description: Cursor for the start of current page
        total:
          type: integer
          format: int64
          description: Total number of claims
    RedPacketClaim:
      type: object
      description: Red packet claim record
      required:
        - packetId
        - claimer
        - mint
        - amount
      properties:
        amount:
          type: string
          description: Red packet total amount
          example: '100000000'
        chain:
          type:
            - string
            - 'null'
          description: Blockchain network for the red packet
          example: sol
        claimedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: Claim timestamp
          example: 1717334400000
        claimer:
          type: string
          description: Claimer wallet address
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        creator:
          type:
            - string
            - 'null'
          description: Creator wallet address
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        mint:
          type: string
          description: Token mint address
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        packetId:
          type: string
          description: Red packet on-chain ID
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        txHash:
          type:
            - string
            - 'null'
          description: Transaction hash
          example: 5UfDuX7hXbL3mFfPdq1pymNHM...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````